Package org.apache.sling.feature.cpconverter.repoinit.createpath

## Class CreatePathSegmentProcessor

- java.lang.Object
- - org.apache.sling.feature.cpconverter.repoinit.createpath.CreatePathSegmentProcessor

    public class CreatePathSegmentProcessor
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `processSegments​(@NotNull RepoPath path, @NotNull Collection<VaultPackageAssembler> packageAssemblers, @NotNull org.apache.sling.repoinit.parser.operations.CreatePath cp)` Process segments of a repopath to createpath, checking packageassemblers for existing primaryType definitions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### processSegments

    public static boolean processSegments​(@NotNull
                                          @NotNull RepoPath path,
                                          @NotNull
                                          @NotNull Collection<VaultPackageAssembler> packageAssemblers,
                                          @NotNull
                                          @NotNull org.apache.sling.repoinit.parser.operations.CreatePath cp)

Process segments of a repopath to createpath, checking packageassemblers for existing primaryType definitions.

Parameters:
  `path` -
  `packageAssemblers` -
  `cp` -
Returns: